Bug 364221 - Review Request: ruby-mechanize - A handy web browsing ruby object
Review Request: ruby-mechanize - A handy web browsing ruby object
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Nasrat
Fedora Extras Quality Assurance
Depends On: 364211
  Show dependency treegraph
Reported: 2007-11-02 12:47 EDT by Mamoru TASAKA
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-11-08 14:25:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
pnasrat: fedora‑review+
kevin: fedora‑cvs+

Attachments (Terms of Use)

  None (edit)
Description Mamoru TASAKA 2007-11-02 12:47:43 EDT
Spec URL: http://mtasaka.fedorapeople.org/Review_request/ruby-mechanize/ruby-mechanize.spec
SRPM URL: http://mtasaka.fedorapeople.org/Review_request/ruby-mechanize/ruby-mechanize-0.6.10-2.fc8.src.rpm
The Mechanize library is used for automating interaction with websites. 
Mechanize automatically stores and sends cookies, follows redirects, 
can follow links, and submit forms. Form fields can be populated and 
submitted. Mechanize also keeps track of the sites that you have 
visited as a history.

Koji build:
For dist-f8-updates-candidate:
For dist-fc7-updates-candidate:
Comment 1 Paul Nasrat 2007-11-07 07:01:44 EST
rpmlint clean on src.rpm and binary rpm

• Meets Package Naming guidelines
• ruby-mechanize.spec matches package name
• Meets packaging guidelines
• Meets licensing guidelines
• Includes LICENSE.txt
• Spec in american english
• spec legible
• checksums match download.
7805b479a8a36dfa845708fd8a7d9160f283ce3c  SOURCES/mechanize-0.6.10.tgz
7805b479a8a36dfa845708fd8a7d9160f283ce3c  /home/pauln/Download/mechanize-0.6.10.tgz
• compiles noarch
• Builds successfully under mock
• ruby so no locale specific
• no shared libs
• Not relocatable
• Owns all files/dirs
• No duplicate files
• Uses macros fine
• Code package
• No need for seperate -doc
• No -devel, -static, pkgconfig needed
• No devel needed
• Ruby so no libtool
• No .desktop as library
• Cleans out buildroot in %install
• Valid filenames

Packaging Guidelines
• Licensed appropriately (GPL+)
• Not binary/firmware/shareware
• FHS compliant
• Has changelog
• Has compliant buildroot
• cleans out buildroot
• builds under mock - BR good
• Summary and description fine
• ASCII spec, no non-ascii file names
• Includes documentation
• Interpreted ruby so no cflags/debuginfo
• No static libraries
• No rpath, desktop files, libraries
• No scriptlets
• No conditional deps
• Not relocatable
• Owns all files
• Not a web app or kernel module
• No conflicts
• Follows ruby guidelilnes

Comment 2 Paul Nasrat 2007-11-07 07:39:50 EST
Looks good, setting fedora-review+
Comment 3 Mamoru TASAKA 2007-11-08 08:55:13 EST
Thank you for your quick review!

New Package CVS Request
Package Name:       ruby-mechanize
Short Description:  A handy web browsing ruby object
Owners:             mtasaka
Branches:           F-7 F-8
InitialCC:          (nobody)
Cvsextras Commits:  yes
Comment 4 Kevin Fenzi 2007-11-08 13:56:08 EST
cvs done.
Comment 5 Mamoru TASAKA 2007-11-08 14:25:58 EST
Rebuilt on devel, F-8, F-7 and requested on bodhi for F-8 and F-7.
Thank you for reviewing this package, closing.

Note You need to log in before you can comment on or make changes to this bug.